/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#include <private/qquick3dparticle_p.h>
#include <private/qquick3dparticleabstractshape_p.h>
#include <private/qquick3dparticleaffector_p.h>
#include <private/qquick3dparticleattractor_p.h>
#include <private/qquick3dparticlecustomshape_p.h>
#include <private/qquick3dparticledirection_p.h>
#include <private/qquick3dparticledynamicburst_p.h>
#include <private/qquick3dparticleemitburst_p.h>
#include <private/qquick3dparticleemitter_p.h>
#include <private/qquick3dparticlegravity_p.h>
#include <private/qquick3dparticlelineparticle_p.h>
#include <private/qquick3dparticlemodelblendparticle_p.h>
#include <private/qquick3dparticlemodelparticle_p.h>
#include <private/qquick3dparticlemodelshape_p.h>
#include <private/qquick3dparticlepointrotator_p.h>
#include <private/qquick3dparticlerepeller_p.h>
#include <private/qquick3dparticlescaleaffector_p.h>
#include <private/qquick3dparticleshape_p.h>
#include <private/qquick3dparticlespriteparticle_p.h>
#include <private/qquick3dparticlespritesequence_p.h>
#include <private/qquick3dparticlesystem_p.h>
#include <private/qquick3dparticlesystemlogging_p.h>
#include <private/qquick3dparticletargetdirection_p.h>
#include <private/qquick3dparticletrailemitter_p.h>
#include <private/qquick3dparticlevectordirection_p.h>
#include <private/qquick3dparticlewander_p.h>

#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif

Q_QMLTYPE_EXPORT void qml_register_types_QtQuick3D_Particles3D()
{
    qmlRegisterModule("QtQuick3D.Particles3D", 6, 0);
    qmlRegisterTypesAndRevisions<QQuick3DParticle>("QtQuick3D.Particles3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DParticleAbstractShape>("QtQuick3D.Particles3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DParticleAffector>("QtQuick3D.Particles3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DParticleAttractor>("QtQuick3D.Particles3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DParticleCustomShape>("QtQuick3D.Particles3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DParticleDirection>("QtQuick3D.Particles3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DParticleDynamicBurst>("QtQuick3D.Particles3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DParticleEmitBurst>("QtQuick3D.Particles3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DParticleEmitter>("QtQuick3D.Particles3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DParticleGravity>("QtQuick3D.Particles3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DParticleLineParticle>("QtQuick3D.Particles3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DParticleModelBlendParticle>("QtQuick3D.Particles3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DParticleModelParticle>("QtQuick3D.Particles3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DParticleModelShape>("QtQuick3D.Particles3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DParticlePointRotator>("QtQuick3D.Particles3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DParticleRepeller>("QtQuick3D.Particles3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DParticleScaleAffector>("QtQuick3D.Particles3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DParticleShape>("QtQuick3D.Particles3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DParticleSpriteParticle>("QtQuick3D.Particles3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DParticleSpriteSequence>("QtQuick3D.Particles3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DParticleSystem>("QtQuick3D.Particles3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DParticleSystemLogging>("QtQuick3D.Particles3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DParticleTargetDirection>("QtQuick3D.Particles3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DParticleTrailEmitter>("QtQuick3D.Particles3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DParticleVectorDirection>("QtQuick3D.Particles3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DParticleWander>("QtQuick3D.Particles3D", 6);
    qmlRegisterModule("QtQuick3D.Particles3D", 6, 4);
}

static const QQmlModuleRegistration registration("QtQuick3D.Particles3D", qml_register_types_QtQuick3D_Particles3D);
